commit 1714018448b4c5ec9b228244fffefc10c3e5c665
parent 08d41685041ba5b3439523ae51308fe0368f5ca0
Author: Morel BĂ©renger <berengermorel76@gmail.com>
Date: Sun, 6 Oct 2024 16:48:17 +0200
remove deprecated files while at it
Diffstat:
86 files changed, 0 insertions(+), 2240 deletions(-)
diff --git a/Makefile b/Makefile
@@ -1,49 +0,0 @@
-DESTDIR=
-
-PACKAGE=runit-2.1.2
-DIRS=doc man etc package src
-MANPAGES=runit.8 runit-init.8 runsvdir.8 runsv.8 sv.8 utmpset.8 \
- runsvchdir.8 svlogd.8 chpst.8
-
-all: clean .manpages $(PACKAGE).tar.gz
-
-.manpages:
- for i in $(MANPAGES); do \
- rman -S -f html -r '' < man/$$i | \
- sed -e "s}name='sect\([0-9]*\)' href='#toc[0-9]*'>\(.*\)}name='sect\1'>\2}g ; \
- s}<a href='#toc'>Table of Contents</a>}<a href='http://smarden.org/pape/'>G. Pape</a><br><a href='index.html'>runit</A><hr>}g ; \
- s}<!--.*-->}}g" \
- > doc/$$i.html ; \
- done ; \
- echo 'fix up html manually...'
- echo 'patch -p0 <manpagehtml.diff && exit'
- sh
- find . -name '*.orig' -exec rm -f {} \;
- touch .manpages
-
-$(PACKAGE).tar.gz:
- rm -rf TEMP
- mkdir -p TEMP/admin/$(PACKAGE)
- make -C src clean
- cp -a $(DIRS) TEMP/admin/$(PACKAGE)/
- ln -sf ../etc/debian TEMP/admin/$(PACKAGE)/doc/
- for i in TEMP/admin/$(PACKAGE)/etc/*; do \
- test -d $$i && ln -s ../2 $$i/2; \
- done
- chmod -R g-ws TEMP/admin
- chmod +t TEMP/admin
- find TEMP -exec touch {} \;
- su -c '\
- chown -R root:root TEMP/admin ; \
- (cd TEMP && tar --exclude CVS -cpzf ../$(PACKAGE).tar.gz admin); \
- rm -rf TEMP'
-
-clean:
- find . -name \*~ -exec rm -f {} \;
- find . -name .??*~ -exec rm -f {} \;
- find . -name \#?* -exec rm -f {} \;
-
-cleaner: clean
- rm -f $(PACKAGE).tar.gz
- for i in $(MANPAGES); do rm -f doc/`basename $$i`.html; done
- rm -f .manpages
diff --git a/src/old/Makefile b/src/old/Makefile
@@ -1,468 +0,0 @@
-IT=chpst runit runit-init runsv runsvchdir runsvdir sv svlogd utmpset
-
-default: sysdeps $(IT)
-
-check: $(IT)
- ./check-local $(IT)
-
-runit: load runit.o unix.a byte.a
- ./load runit unix.a byte.a -static
-
-runit-init: load runit-init.o unix.a byte.a
- ./load runit-init unix.a byte.a -static
-
-runsv: load runsv.o unix.a byte.a time.a
- ./load runsv unix.a byte.a time.a
-
-runsvdir: load runsvdir.o unix.a byte.a time.a
- ./load runsvdir unix.a byte.a time.a
-
-runsvstat: load runsvstat.o unix.a byte.a time.a
- ./load runsvstat unix.a byte.a time.a
-
-runsvctrl: load runsvctrl.o unix.a byte.a
- ./load runsvctrl unix.a byte.a
-
-sv: load sv.o unix.a byte.a time.a
- ./load sv unix.a byte.a time.a
-
-svwaitup: load svwaitup.o unix.a byte.a time.a
- ./load svwaitup unix.a byte.a time.a
-
-svwaitdown: load svwaitdown.o unix.a byte.a time.a
- ./load svwaitdown unix.a byte.a time.a
-
-utmpset: load utmpset.o unix.a byte.a
- ./load utmpset unix.a byte.a
-
-runsvchdir: load runsvchdir.o unix.a byte.a
- ./load runsvchdir unix.a byte.a
-
-svlogd: load svlogd.o pmatch.o fmt_ptime.o unix.a byte.a time.a socket.lib
- ./load svlogd pmatch.o fmt_ptime.o unix.a byte.a time.a \
- `cat socket.lib`
-
-chpst: load chpst.o uidgid.o unix.a byte.a
- ./load chpst uidgid.o unix.a byte.a
-
-runit.o: compile sysdeps runit.c
- ./compile runit.c
-
-runit-init.o: compile runit-init.c
- ./compile runit-init.c
-
-runsv.o: compile sysdeps runsv.c
- ./compile runsv.c
-
-runsvdir.o: compile sysdeps runsvdir.c
- ./compile runsvdir.c
-
-runsvstat.o: compile sysdeps runsvstat.c
- ./compile runsvstat.c
-
-runsvctrl.o: compile runsvctrl.c
- ./compile runsvctrl.c
-
-sv.o: compile sysdeps sv.c
- ./compile sv.c
-
-svwaitup.o: compile sysdeps svwaitup.c
- ./compile svwaitup.c
-
-svwaitdown.o: compile sysdeps svwaitdown.c
- ./compile svwaitdown.c
-
-utmpset.o: compile sysdeps utmpset.c
- ./compile utmpset.c
-
-runsvchdir.o: compile runsvchdir.c
- ./compile runsvchdir.c
-
-svlogd.o: compile sysdeps svlogd.c
- ./compile svlogd.c
-
-chpst.o: compile sysdeps chpst.c
- ./compile chpst.c
-
-
-uidgid.o: compile uidgid.c uidgid.h
- ./compile uidgid.c
-
-pmatch.o: compile pmatch.c
- ./compile pmatch.c
-
-fmt_ptime.o: compile sysdeps fmt_ptime.c
- ./compile fmt_ptime.c
-
-reboot_system.h: choose compile reboot_system.h1 reboot_system.h2
- ./choose c tryreboot reboot_system.h1 reboot_system.h2 > \
- reboot_system.h
-
-uw_tmp.h: compile uw_tmp.h1 uw_tmp.h2
- ( ./compile tryuwtmpx.c 2>/dev/null && cat uw_tmp.h2 >uw_tmp.h ) || \
- ( ./compile tryuwtmp.c 2>/dev/null && cat uw_tmp.h1 >uw_tmp.h )
- rm -f tryuwtmp.o tryuwtmpx.o
-
-socket.lib: compile load trysocketlib.c
- ./compile trysocketlib.c
- ( ./load trysocketlib >/dev/null 2>&1 || \
- ( ./load trysocketlib -lxnet >/dev/null 2>&1 && echo '-lxnet' ) || \
- ( ./load trysocketlib -lsocket -lnsl >/dev/null 2>&1 && \
- echo '-lsocket -lnsl' ) \
- ) >socket.lib
- rm -f trysocketlib.o trysocketlib
-
-clean:
- find . -name \*~ -exec rm -f {} \;
- find . -name .??*~ -exec rm -f {} \;
- find . -name \#?* -exec rm -f {} \;
- rm -f `cat TARGETS`
-
-alloc.o: alloc.c alloc.h compile error.h
- ./compile alloc.c
-
-alloc_re.o: alloc.h alloc_re.c byte.h compile
- ./compile alloc_re.c
-
-buffer.o: buffer.c buffer.h compile
- ./compile buffer.c
-
-buffer_0.o: buffer.h buffer_0.c compile
- ./compile buffer_0.c
-
-buffer_1.o: buffer.h buffer_1.c compile
- ./compile buffer_1.c
-
-buffer_2.o: buffer.h buffer_2.c compile
- ./compile buffer_2.c
-
-buffer_get.o: buffer.h buffer_get.c byte.h compile error.h
- ./compile buffer_get.c
-
-buffer_put.o: buffer.h buffer_put.c byte.h compile error.h str.h
- ./compile buffer_put.c
-
-buffer_read.o: buffer.h buffer_read.c compile
- ./compile buffer_read.c
-
-buffer_write.o: buffer.h buffer_write.c compile
- ./compile buffer_write.c
-
-byte.a: byte_chr.o byte_copy.o byte_cr.o byte_diff.o byte_rchr.o \
-fmt_uint.o fmt_uint0.o fmt_ulong.o makelib scan_ulong.o str_chr.o \
-str_diff.o str_len.o str_start.o
- ./makelib byte.a byte_chr.o byte_copy.o byte_cr.o byte_diff.o \
- byte_rchr.o fmt_uint.o fmt_uint0.o fmt_ulong.o scan_ulong.o str_chr.o \
- str_diff.o str_len.o str_start.o
-
-byte_chr.o: byte.h byte_chr.c compile
- ./compile byte_chr.c
-
-byte_copy.o: byte.h byte_copy.c compile
- ./compile byte_copy.c
-
-byte_cr.o: byte.h byte_cr.c compile
- ./compile byte_cr.c
-
-byte_diff.o: byte.h byte_diff.c compile
- ./compile byte_diff.c
-
-byte_rchr.o: byte.h byte_rchr.c compile
- ./compile byte_rchr.c
-
-chkshsgr: chkshsgr.o load
- ./load chkshsgr
-
-chkshsgr.o: chkshsgr.c compile
- ./compile chkshsgr.c
-
-choose: choose.sh warn-auto.sh
- rm -f choose
- cat warn-auto.sh choose.sh \
- > choose
- chmod 555 choose
-
-coe.o: coe.c coe.h compile
- ./compile coe.c
-
-compile: conf-cc print-cc.sh systype warn-auto.sh
- rm -f compile
- sh print-cc.sh > compile
- chmod 555 compile
-
-direntry.h: choose compile direntry.h1 direntry.h2 trydrent.c
- ./choose c trydrent direntry.h1 direntry.h2 > direntry.h
-
-env.o: compile env.c env.h str.h
- ./compile env.c
-
-error.o: compile error.c error.h
- ./compile error.c
-
-error_str.o: compile error.h error_str.c
- ./compile error_str.c
-
-fd_copy.o: compile fd.h fd_copy.c
- ./compile fd_copy.c
-
-fd_move.o: compile fd.h fd_move.c
- ./compile fd_move.c
-
-fifo.o: compile fifo.c fifo.h hasmkffo.h
- ./compile fifo.c
-
-fmt_uint.o: compile fmt.h fmt_uint.c
- ./compile fmt_uint.c
-
-fmt_uint0.o: compile fmt.h fmt_uint0.c
- ./compile fmt_uint0.c
-
-fmt_ulong.o: compile fmt.h fmt_ulong.c
- ./compile fmt_ulong.c
-
-hasflock.h: choose compile hasflock.h1 hasflock.h2 load tryflock.c
- ./choose cl tryflock hasflock.h1 hasflock.h2 > hasflock.h
-
-hasmkffo.h: choose compile hasmkffo.h1 hasmkffo.h2 load trymkffo.c
- ./choose cl trymkffo hasmkffo.h1 hasmkffo.h2 > hasmkffo.h
-
-hassgact.h: choose compile hassgact.h1 hassgact.h2 load trysgact.c
- ./choose cl trysgact hassgact.h1 hassgact.h2 > hassgact.h
-
-hassgprm.h: choose compile hassgprm.h1 hassgprm.h2 load trysgprm.c
- ./choose cl trysgprm hassgprm.h1 hassgprm.h2 > hassgprm.h
-
-hasshsgr.h: chkshsgr choose compile hasshsgr.h1 hasshsgr.h2 load \
-tryshsgr.c warn-shsgr
- ./chkshsgr || ( cat warn-shsgr; exit 1 )
- ./choose clr tryshsgr hasshsgr.h1 hasshsgr.h2 > hasshsgr.h
-
-haswaitp.h: choose compile haswaitp.h1 haswaitp.h2 load trywaitp.c
- ./choose cl trywaitp haswaitp.h1 haswaitp.h2 > haswaitp.h
-
-iopause.h: choose compile iopause.h1 iopause.h2 load trypoll.c
- ./choose clr trypoll iopause.h1 iopause.h2 > iopause.h
-
-iopause.o: compile iopause.c iopause.h select.h tai.h taia.h uint64.h
- ./compile iopause.c
-
-load: conf-ld print-ld.sh systype warn-auto.sh
- rm -f load
- sh print-ld.sh > load
- chmod 555 load
-
-lock_ex.o: compile hasflock.h lock.h lock_ex.c
- ./compile lock_ex.c
-
-lock_exnb.o: compile hasflock.h lock.h lock_exnb.c
- ./compile lock_exnb.c
-
-makelib: print-ar.sh systype warn-auto.sh
- rm -f makelib
- sh print-ar.sh > makelib
- chmod 555 makelib
-
-ndelay_off.o: compile ndelay.h ndelay_off.c
- ./compile ndelay_off.c
-
-ndelay_on.o: compile ndelay.h ndelay_on.c
- ./compile ndelay_on.c
-
-open_append.o: compile open.h open_append.c
- ./compile open_append.c
-
-open_read.o: compile open.h open_read.c
- ./compile open_read.c
-
-open_trunc.o: compile open.h open_trunc.c
- ./compile open_trunc.c
-
-open_write.o: compile open.h open_write.c
- ./compile open_write.c
-
-openreadclose.o: compile error.h gen_alloc.h open.h openreadclose.c \
-openreadclose.h readclose.h stralloc.h
- ./compile openreadclose.c
-
-pathexec_env.o: alloc.h byte.h compile env.h gen_alloc.h pathexec.h \
-pathexec_env.c str.h stralloc.h
- ./compile pathexec_env.c
-
-pathexec_run.o: compile env.h error.h gen_alloc.h pathexec.h \
-pathexec_run.c str.h stralloc.h
- ./compile pathexec_run.c
-
-prot.o: compile hasshsgr.h prot.c prot.h
- ./compile prot.c
-
-readclose.o: compile error.h gen_alloc.h readclose.c readclose.h \
-stralloc.h
- ./compile readclose.c
-
-scan_ulong.o: compile scan.h scan_ulong.c
- ./compile scan_ulong.c
-
-seek_set.o: compile seek.h seek_set.c
- ./compile seek_set.c
-
-select.h: choose compile select.h1 select.h2 trysysel.c
- ./choose c trysysel select.h1 select.h2 > select.h
-
-sgetopt.o: buffer.h compile sgetopt.c sgetopt.h subgetopt.h
- ./compile sgetopt.c
-
-sig.o: compile sig.c sig.h
- ./compile sig.c
-
-sig_block.o: compile hassgprm.h sig.h sig_block.c
- ./compile sig_block.c
-
-sig_catch.o: compile hassgact.h sig.h sig_catch.c
- ./compile sig_catch.c
-
-sig_pause.o: compile hassgprm.h sig.h sig_pause.c
- ./compile sig_pause.c
-
-str_chr.o: compile str.h str_chr.c
- ./compile str_chr.c
-
-str_diff.o: compile str.h str_diff.c
- ./compile str_diff.c
-
-str_len.o: compile str.h str_len.c
- ./compile str_len.c
-
-str_start.o: compile str.h str_start.c
- ./compile str_start.c
-
-stralloc_cat.o: byte.h compile gen_alloc.h stralloc.h stralloc_cat.c
- ./compile stralloc_cat.c
-
-stralloc_catb.o: byte.h compile gen_alloc.h stralloc.h \
-stralloc_catb.c
- ./compile stralloc_catb.c
-
-stralloc_cats.o: byte.h compile gen_alloc.h str.h stralloc.h \
-stralloc_cats.c
- ./compile stralloc_cats.c
-
-stralloc_eady.o: alloc.h compile gen_alloc.h gen_allocdefs.h \
-stralloc.h stralloc_eady.c
- ./compile stralloc_eady.c
-
-stralloc_opyb.o: byte.h compile gen_alloc.h stralloc.h \
-stralloc_opyb.c
- ./compile stralloc_opyb.c
-
-stralloc_opys.o: byte.h compile gen_alloc.h str.h stralloc.h \
-stralloc_opys.c
- ./compile stralloc_opys.c
-
-stralloc_pend.o: alloc.h compile gen_alloc.h gen_allocdefs.h \
-stralloc.h stralloc_pend.c
- ./compile stralloc_pend.c
-
-strerr_die.o: buffer.h compile strerr.h strerr_die.c
- ./compile strerr_die.c
-
-strerr_sys.o: compile error.h strerr.h strerr_sys.c
- ./compile strerr_sys.c
-
-subgetopt.o: compile subgetopt.c subgetopt.h
- ./compile subgetopt.c
-
-sysdeps: compile direntry.h hasflock.h hasmkffo.h hassgact.h \
-hassgprm.h hasshsgr.h haswaitp.h iopause.h load select.h systype \
-uint64.h reboot_system.h uw_tmp.h socket.lib
- rm -f sysdeps
- cat systype compile load socket.lib >>sysdeps
- grep sysdep direntry.h >>sysdeps
- grep sysdep haswaitp.h >>sysdeps
- grep sysdep hassgact.h >>sysdeps
- grep sysdep hassgprm.h >>sysdeps
- grep sysdep select.h >>sysdeps
- grep sysdep uint64.h >>sysdeps
- grep sysdep iopause.h >>sysdeps
- grep sysdep hasmkffo.h >>sysdeps
- grep sysdep hasflock.h >>sysdeps
- grep sysdep hasshsgr.h >>sysdeps
- grep sysdep reboot_system.h >>sysdeps
- grep sysdep uw_tmp.h >>sysdeps
- cat sysdeps
-
-systype: find-systype.sh trycpp.c x86cpuid.c
- sh find-systype.sh > systype
-
-tai_now.o: compile tai.h tai_now.c uint64.h
- ./compile tai_now.c
-
-tai_pack.o: compile tai.h tai_pack.c uint64.h
- ./compile tai_pack.c
-
-tai_sub.o: compile tai.h tai_sub.c uint64.h
- ./compile tai_sub.c
-
-tai_unpack.o: compile tai.h tai_unpack.c uint64.h
- ./compile tai_unpack.c
-
-taia_add.o: compile tai.h taia.h taia_add.c uint64.h
- ./compile taia_add.c
-
-taia_approx.o: compile tai.h taia.h taia_approx.c uint64.h
- ./compile taia_approx.c
-
-taia_frac.o: compile tai.h taia.h taia_frac.c uint64.h
- ./compile taia_frac.c
-
-taia_less.o: compile tai.h taia.h taia_less.c uint64.h
- ./compile taia_less.c
-
-taia_now.o: compile tai.h taia.h taia_now.c uint64.h
- ./compile taia_now.c
-
-taia_pack.o: compile tai.h taia.h taia_pack.c uint64.h
- ./compile taia_pack.c
-
-taia_sub.o: compile tai.h taia.h taia_sub.c uint64.h
- ./compile taia_sub.c
-
-taia_uint.o: compile tai.h taia.h taia_uint.c uint64.h
- ./compile taia_uint.c
-
-time.a: iopause.o makelib tai_now.o tai_pack.o tai_sub.o tai_unpack.o \
-taia_add.o taia_approx.o taia_frac.o taia_less.o taia_now.o \
-taia_pack.o taia_sub.o taia_uint.o
- ./makelib time.a iopause.o tai_now.o tai_pack.o tai_sub.o \
- tai_unpack.o taia_add.o taia_approx.o taia_frac.o taia_less.o \
- taia_now.o taia_pack.o taia_sub.o taia_uint.o
-
-uint64.h: choose compile load tryulong64.c uint64.h1 uint64.h2
- ./choose clr tryulong64 uint64.h1 uint64.h2 > uint64.h
-
-unix.a: alloc.o alloc_re.o buffer.o buffer_0.o buffer_1.o buffer_2.o \
-buffer_get.o buffer_put.o buffer_read.o buffer_write.o coe.o env.o \
-error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o lock_exnb.o \
-makelib ndelay_off.o ndelay_on.o open_append.o open_read.o \
-open_trunc.o open_write.o openreadclose.o pathexec_env.o \
-pathexec_run.o prot.o readclose.o seek_set.o sgetopt.o sig.o \
-sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
-stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
-stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
-wait_pid.o
- ./makelib unix.a alloc.o alloc_re.o buffer.o buffer_0.o buffer_1.o \
- buffer_2.o buffer_get.o buffer_put.o buffer_read.o buffer_write.o \
- coe.o env.o error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o \
- lock_exnb.o ndelay_off.o ndelay_on.o open_append.o open_read.o \
- open_trunc.o open_write.o openreadclose.o pathexec_env.o \
- pathexec_run.o prot.o readclose.o seek_set.o sgetopt.o sig.o \
- sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
- stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
- stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
- wait_pid.o
-
-wait_nohang.o: compile haswaitp.h wait_nohang.c
- ./compile wait_nohang.c
-
-wait_pid.o: compile error.h haswaitp.h wait_pid.c
- ./compile wait_pid.c
-
diff --git a/src/old/TARGETS b/src/old/TARGETS
@@ -1,143 +0,0 @@
-runit
-runit.o
-runit-init
-runit-init.o
-runsv
-runsv.o
-runsvdir
-runsvdir.o
-runsvstat
-runsvstat.o
-runsvctrl
-runsvctrl.o
-sv
-sv.o
-svwaitdown
-svwaitdown.o
-svwaitup
-svwaitup.o
-utmpset
-utmpset.o
-runsvchdir
-runsvchdir.o
-svlogd
-svlogd.o
-chpst
-chpst.o
-pmatch.o
-fmt_ptime.o
-uidgid.o
-reboot_system.h
-uw_tmp.h
-socket.lib
-trysocketlib
-trysocketlib.o
-check
-alloc.o
-alloc_re.o
-buffer.o
-buffer_0.o
-buffer_1.o
-buffer_2.o
-buffer_get.o
-buffer_put.o
-buffer_read.o
-buffer_write.o
-byte.a
-byte_chr.o
-byte_copy.o
-byte_cr.o
-byte_diff.o
-byte_rchr.o
-chkshsgr
-chkshsgr.o
-choose
-coe.o
-compile
-direntry.h
-env.o
-error.o
-error_str.o
-fd_copy.o
-fd_move.o
-fifo.o
-fmt_uint.o
-fmt_uint0.o
-fmt_ulong.o
-hasflock.h
-hasmkffo.h
-hassgact.h
-hassgprm.h
-hasshsgr.h
-haswaitp.h
-iopause.h
-iopause.o
-load
-lock_ex.o
-lock_exnb.o
-makelib
-ndelay_off.o
-ndelay_on.o
-open_append.o
-open_read.o
-open_trunc.o
-open_write.o
-openreadclose.o
-pathexec_env.o
-pathexec_run.o
-prot.o
-readclose.o
-scan_ulong.o
-seek_set.o
-select.h
-sgetopt.o
-sig.o
-sig_block.o
-sig_catch.o
-sig_pause.o
-str_chr.o
-str_diff.o
-str_len.o
-str_start.o
-stralloc_cat.o
-stralloc_catb.o
-stralloc_cats.o
-stralloc_eady.o
-stralloc_opyb.o
-stralloc_opys.o
-stralloc_pend.o
-strerr_die.o
-strerr_sys.o
-subgetopt.o
-sysdeps
-systype
-tai_now.o
-tai_pack.o
-tai_sub.o
-tai_unpack.o
-taia_add.o
-taia_approx.o
-taia_frac.o
-taia_less.o
-taia_now.o
-taia_pack.o
-taia_sub.o
-taia_uint.o
-time.a
-uint64.h
-unix.a
-wait_nohang.o
-wait_pid.o
-chpst.local
-runit-init.local
-runit.local
-runsv.local
-runsvchdir.local
-runsvctrl.local
-runsvdir.local
-runsvstat.local
-sv.local
-svlogd.local
-svwaitdown.local
-svwaitup.local
-utmpset.local
diff --git a/src/old/check-diff b/src/old/check-diff
@@ -1,5 +0,0 @@
-#!/bin/sh
-while read i; do
- read j 0<&7 || exit 1
- test "$i" = "$j" || exit 1
-done 7<$1.dist <$1.local
diff --git a/src/old/check-dist b/src/old/check-dist
@@ -1,8 +0,0 @@
-#!/bin/sh
-
-PATH=`pwd`:$PATH
-
-for i in `cat ../package/commands`; do
- echo "Creating new $i.dist..."
- env - PATH="$PATH" ctmp="`pwd`/check-tmp" $i.check 2>&1 |cat -v >$i.dist
-done
diff --git a/src/old/check-local b/src/old/check-local
@@ -1,9 +0,0 @@
-#!/bin/sh
-
-PATH=`pwd`:$PATH
-
-for i in ${1+"$@"}; do
- echo "Checking $i..."
- env - PATH="$PATH" ctmp="`pwd`/check-tmp" $i.check 2>&1 |cat -v >$i.local
- ./check-diff $i || ( cat $i.local; echo "$i failed."; exit 1 ) || exit 1
-done
diff --git a/src/old/chkshsgr.c b/src/old/chkshsgr.c
@@ -1,13 +0,0 @@
-/* Public domain. */
-
-#include <sys/types.h>
-#include <unistd.h>
-
-int main()
-{
- gid_t x[4];
-
- x[0] = x[1] = 0;
- if (getgroups(1,x) == 0) if (setgroups(1,x) == -1) _exit(1);
- _exit(0);
-}
diff --git a/src/old/choose.sh b/src/old/choose.sh
@@ -1,18 +0,0 @@
-
-result="$4"
-
-case "$1" in
- *c*) ./compile $2.c >/dev/null 2>&1 || result="$3" ;;
-esac
-
-case "$1" in
- *l*) ./load $2 >/dev/null 2>&1 || result="$3" ;;
-esac
-
-case "$1" in
- *r*) ./$2 >/dev/null 2>&1 || result="$3" ;;
-esac
-
-rm -f $2.o $2
-
-exec cat "$result"
diff --git a/src/old/chpst.check b/src/old/chpst.check
@@ -1,36 +0,0 @@
-#!/bin/sh
-rm -rf "${ctmp}"
-
-chpst
-echo $?
-chpst -V
-echo $?
-
-# -u
-# -U
-
-mkdir "${ctmp}"
-echo 1 >"${ctmp}"/test
-chpst -e"${ctmp}" env |sed -ne '/^test=1$/p'
-echo $?
-rm -rf "${ctmp}"
-
-chpst -l"${ctmp}" true
-echo $?
-rm -f "${ctmp}"
-
-chpst -L"${ctmp}" true
-echo $?
-rm -f "${ctmp}"
-
-# -m
-# -o
-# -p
-# -f
-# -c
-
-chpst -P true
-echo $?
-
-chpst -012 true
-echo $?
diff --git a/src/old/chpst.dist b/src/old/chpst.dist
@@ -1,13 +0,0 @@
-usage: chpst [-vP012] [-u user[:group]] [-U user[:group]] [-b argv0] [-e dir] [-/ root] [-n nice] [-l|-L lock] [-m n] [-d n] [-o n] [-p n] [-f n] [-c n] prog
-
-100
-$Id: f279d44141c981dd7535a12260efcf1ef7beed26 $
-usage: chpst [-vP012] [-u user[:group]] [-U user[:group]] [-b argv0] [-e dir] [-/ root] [-n nice] [-l|-L lock] [-m n] [-d n] [-o n] [-p n] [-f n] [-c n] prog
-
-100
-test=1
-0
-0
-0
-0
-0
diff --git a/src/old/conf-cc b/src/old/conf-cc
@@ -1,5 +0,0 @@
-gcc -O2 -Wall
-
-gcc -O2 -Wimplicit -Wunused -Wcomment -Wchar-subscripts -Wuninitialized -Wshadow -Wcast-qual -Wcast-align -Wwrite-strings
-
-This will be used to compile .c files.
diff --git a/src/old/conf-ld b/src/old/conf-ld
@@ -1,3 +0,0 @@
-gcc -s
-
-This will be used to link .o files into an executable.
diff --git a/src/old/direntry.h1 b/src/old/direntry.h1
@@ -1,12 +0,0 @@
-/* Public domain. */
-
-#ifndef DIRENTRY_H
-#define DIRENTRY_H
-
-/* sysdep: -dirent */
-
-#include <sys/types.h>
-#include <sys/dir.h>
-#define direntry struct direct
-
-#endif
diff --git a/src/old/direntry.h2 b/src/old/direntry.h2
@@ -1,12 +0,0 @@
-/* Public domain. */
-
-#ifndef DIRENTRY_H
-#define DIRENTRY_H
-
-/* sysdep: +dirent */
-
-#include <sys/types.h>
-#include <dirent.h>
-#define direntry struct dirent
-
-#endif
diff --git a/src/old/find-systype.sh b/src/old/find-systype.sh
@@ -1,143 +0,0 @@
-# oper-:arch-:syst-:chip-:kern-
-# oper = operating system type; e.g., sunos-4.1.4
-# arch = machine language; e.g., sparc
-# syst = which binaries can run; e.g., sun4
-# chip = chip model; e.g., micro-2-80
-# kern = kernel version; e.g., sun4m
-# dependence: arch --- chip
-# \ \
-# oper --- syst --- kern
-# so, for example, syst is interpreted in light of oper, but chip is not.
-# anyway, no slashes, no extra colons, no uppercase letters.
-# the point of the extra -'s is to ease parsing: can add hierarchies later.
-# e.g., *:i386-*:*:pentium-*:* would handle pentium-100 as well as pentium,
-# and i386-486 (486s do have more instructions, you know) as well as i386.
-# the idea here is to include ALL useful available information.
-
-exec 2>/dev/null
-
-sys="`uname -s | tr '/:[A-Z]' '..[a-z]'`"
-if [ x"$sys" != x ]
-then
- unamer="`uname -r | tr /: ..`"
- unamem="`uname -m | tr /: ..`"
- unamev="`uname -v | tr /: ..`"
-
- case "$sys" in
- bsd.os|freebsd|netbsd|openbsd)
- # in bsd 4.4, uname -v does not have useful info.
- # in bsd 4.4, uname -m is arch, not chip.
- oper="$sys-$unamer"
- arch="$unamem"
- syst=""
- chip="`sysctl -n hw.model`" # hopefully
- kern=""
- ;;
- linux)
- # as in bsd 4.4, uname -v does not have useful info.
- oper="$sys-$unamer"
- syst=""
- chip="$unamem"
- kern=""
- case "$chip" in
- i386|i486|i586|i686)
- arch="i386"
- ;;
- alpha)
- arch="alpha"
- ;;
- esac
- ;;
- aix)
- # naturally IBM has to get uname -r and uname -v backwards. dorks.
- oper="$sys-$unamev-$unamer"
- arch="`arch | tr /: ..`"
- syst=""
- chip="$unamem"
- kern=""
- ;;
- sunos)
- oper="$sys-$unamer-$unamev"
- arch="`(uname -p || mach) | tr /: ..`"
- syst="`arch | tr /: ..`"
- chip="$unamem" # this is wrong; is there any way to get the real info?
- kern="`arch -k | tr /: ..`"
- ;;
- unix_sv)
- oper="$sys-$unamer-$unamev"
- arch="`uname -m`"
- syst=""
- chip="$unamem"
- kern=""
- ;;
- *)
- oper="$sys-$unamer-$unamev"
- arch="`arch | tr /: ..`"
- syst=""
- chip="$unamem"
- kern=""
- ;;
- esac
-else
- gcc -c trycpp.c
- gcc -o trycpp trycpp.o
- case `./trycpp` in
- nextstep)
- oper="nextstep-`hostinfo | sed -n 's/^[ ]*NeXT Mach \([^:]*\):.*$/\1/p'`"
- arch="`hostinfo | sed -n 's/^Processor type: \(.*\) (.*)$/\1/p' | tr /: ..`"
- syst=""
- chip="`hostinfo | sed -n 's/^Processor type: .* (\(.*\))$/\1/p' | tr ' /:' '...'`"
- kern=""
- ;;
- *)
- oper="unknown"
- arch=""
- syst=""
- chip=""
- kern=""
- ;;
- esac
- rm -f trycpp.o trycpp
-fi
-
-case "$chip" in
-80486)
- # let's try to be consistent here. (BSD/OS)
- chip=i486
- ;;
-i486DX)
- # respect the hyphen hierarchy. (FreeBSD)
- chip=i486-dx
- ;;
-i486.DX2)
- # respect the hyphen hierarchy. (FreeBSD)
- chip=i486-dx2
- ;;
-Intel.586)
- # no, you nitwits, there is no such chip. (NeXTStep)
- chip=pentium
- ;;
-i586)
- # no, you nitwits, there is no such chip. (Linux)
- chip=pentium
- ;;
-i686)
- # STOP SAYING THAT! (Linux)
- chip=ppro
-esac
-
-if gcc -c x86cpuid.c
-then
- if gcc -o x86cpuid x86cpuid.o
- then
- x86cpuid="`./x86cpuid | tr /: ..`"
- case "$x86cpuid" in
- ?*)
- chip="$x86cpuid"
- ;;
- esac
- fi
-fi
-rm -f x86cpuid x86cpuid.o
-
-echo "$oper-:$arch-:$syst-:$chip-:$kern-" | tr ' [A-Z]' '.[a-z]'
diff --git a/src/old/hasflock.h1 b/src/old/hasflock.h1
@@ -1,3 +0,0 @@
-/* Public domain. */
-
-/* sysdep: -flock */
diff --git a/src/old/hasflock.h2 b/src/old/hasflock.h2
@@ -1,4 +0,0 @@
-/* Public domain. */
-
-/* sysdep: +flock */
-#define HASFLOCK 1
diff --git a/src/old/hasmkffo.h1 b/src/old/hasmkffo.h1
@@ -1,3 +0,0 @@
-/* Public domain. */
-
-/* sysdep: -mkfifo */
diff --git a/src/old/hasmkffo.h2 b/src/old/hasmkffo.h2
@@ -1,4 +0,0 @@
-/* Public domain. */
-
-/* sysdep: +mkfifo */
-#define HASMKFIFO 1
diff --git a/src/old/hassgact.h1 b/src/old/hassgact.h1
@@ -1,3 +0,0 @@
-/* Public domain. */
-
-/* sysdep: -sigaction */
diff --git a/src/old/hassgact.h2 b/src/old/hassgact.h2
@@ -1,4 +0,0 @@
-/* Public domain. */
-
-/* sysdep: +sigaction */
-#define HASSIGACTION 1
diff --git a/src/old/hassgprm.h1 b/src/old/hassgprm.h1
@@ -1,3 +0,0 @@
-/* Public domain. */
-
-/* sysdep: -sigprocmask */
diff --git a/src/old/hassgprm.h2 b/src/old/hassgprm.h2
@@ -1,4 +0,0 @@
-/* Public domain. */
-
-/* sysdep: +sigprocmask */
-#define HASSIGPROCMASK 1
diff --git a/src/old/hasshsgr.h1 b/src/old/hasshsgr.h1
@@ -1,3 +0,0 @@
-/* Public domain. */
-
-/* sysdep: -shortsetgroups */
diff --git a/src/old/hasshsgr.h2 b/src/old/hasshsgr.h2
@@ -1,4 +0,0 @@
-/* Public domain. */
-
-/* sysdep: +shortsetgroups */
-#define HASSHORTSETGROUPS 1
diff --git a/src/old/haswaitp.h1 b/src/old/haswaitp.h1
@@ -1,3 +0,0 @@
-/* Public domain. */
-
-/* sysdep: -waitpid */
diff --git a/src/old/haswaitp.h2 b/src/old/haswaitp.h2
@@ -1,4 +0,0 @@
-/* Public domain. */
-
-/* sysdep: +waitpid */
-#define HASWAITPID 1
diff --git a/src/old/iopause.h1 b/src/old/iopause.h1
@@ -1,21 +0,0 @@
-/* Public domain. */
-
-#ifndef IOPAUSE_H
-#define IOPAUSE_H
-
-/* sysdep: -poll */
-
-typedef struct {
- int fd;
- short events;
- short revents;
-} iopause_fd;
-
-#define IOPAUSE_READ 1
-#define IOPAUSE_WRITE 4
-
-#include "taia.h"
-
-extern void iopause(iopause_fd *,unsigned int,struct taia *,struct taia *);
-
-#endif
diff --git a/src/old/iopause.h2 b/src/old/iopause.h2
@@ -1,20 +0,0 @@
-/* Public domain. */
-
-#ifndef IOPAUSE_H
-#define IOPAUSE_H
-
-/* sysdep: +poll */
-#define IOPAUSE_POLL
-
-#include <sys/types.h>
-#include <poll.h>
-
-typedef struct pollfd iopause_fd;
-#define IOPAUSE_READ POLLIN
-#define IOPAUSE_WRITE POLLOUT
-
-#include "taia.h"
-
-extern void iopause(iopause_fd *,unsigned int,struct taia *,struct taia *);
-
-#endif
diff --git a/src/old/print-ar.sh b/src/old/print-ar.sh
@@ -1,14 +0,0 @@
-cat warn-auto.sh
-echo 'main="$1"; shift'
-echo 'rm -f "$main"'
-echo 'ar cr "$main" ${1+"$@"}'
-case "`cat systype`" in
- sunos-5.*) ;;
- unix_sv*) ;;
- irix64-*) ;;
- irix-*) ;;
- dgux-*) ;;
- hp-ux-*) ;;
- sco*) ;;
- *) echo 'ranlib "$main"' ;;
-esac
diff --git a/src/old/print-cc.sh b/src/old/print-cc.sh
@@ -1,5 +0,0 @@
-cc="`head -n1 conf-cc`"
-systype="`cat systype`"
-
-cat warn-auto.sh
-echo exec "$cc" '-c ${1+"$@"}'
diff --git a/src/old/print-ld.sh b/src/old/print-ld.sh
@@ -1,6 +0,0 @@
-ld="`head -n1 conf-ld`"
-systype="`cat systype`"
-
-cat warn-auto.sh
-echo 'main="$1"; shift'
-echo exec "$ld" '-o "$main" "$main".o ${1+"$@"}'
diff --git a/src/old/reboot_system.h1 b/src/old/reboot_system.h1
@@ -1,8 +0,0 @@
-#include <unistd.h>
-#include <sys/reboot.h>
-
-/* sysdep: -std reboot */
-
-int reboot_system(int what) {
- return(reboot(what, (char *)0));
-}
diff --git a/src/old/reboot_system.h2 b/src/old/reboot_system.h2
@@ -1,8 +0,0 @@
-#include <unistd.h>
-#include <sys/reboot.h>
-
-/* sysdep: +std reboot */
-
-int reboot_system(int what) {
- return(reboot(what));
-}
diff --git a/src/old/runit-init.check b/src/old/runit-init.check
@@ -1,3 +0,0 @@
-#!/bin/sh
-runit-init
-echo $?
diff --git a/src/old/runit-init.dist b/src/old/runit-init.dist
@@ -1,3 +0,0 @@
-usage: runit-init 0|6
-
-0
diff --git a/src/old/runit.check b/src/old/runit.check
@@ -1,3 +0,0 @@
-#!/bin/sh
-runit
-echo $?
diff --git a/src/old/runit.dist b/src/old/runit.dist
@@ -1,2 +0,0 @@
-- runit: fatal: must be run as process no 1.
-111
diff --git a/src/old/runsv.check b/src/old/runsv.check
@@ -1,59 +0,0 @@
-#!/bin/sh
-rm -rf "${ctmp}"
-
-runsv
-echo $?
-
-mkdir "${ctmp}"
-echo '#!/bin/sh' >"${ctmp}"/run
-echo 'echo starting' >>"${ctmp}"/run
-echo 'exec sleep 14' >>"${ctmp}"/run
-chmod 700 "${ctmp}"/run
-runsv "${ctmp}" &
-sleep 1
-test -r "${ctmp}"/supervise/stat || sleep 2
-cat "${ctmp}"/supervise/stat
-mkdir -p "${ctmp}"/control
-echo '#!/bin/sh' >"${ctmp}"/control/t
-echo 'echo term' >>"${ctmp}"/control/t
-echo 'exit 1' >>"${ctmp}"/control/t
-chmod 700 "${ctmp}"/control/t
-echo t >"${ctmp}"/supervise/control
-sleep 2
-echo x >"${ctmp}"/supervise/control
-wait
-echo $?
-
-mkdir "${ctmp}"/log
-echo '#!/bin/sh' >"${ctmp}"/log/run
-echo 'exec cat >foo' >>"${ctmp}"/log/run
-chmod 700 "${ctmp}"/log/run
-runsv "${ctmp}" &
-sleep 1
-test -r "${ctmp}"/log/supervise/stat || sleep 2
-mkdir -p "${ctmp}"/control
-echo '#!/bin/sh' >"${ctmp}"/control/i
-echo 'echo no interrupt' >>"${ctmp}"/control/i
-echo 'exit 0' >>"${ctmp}"/control/i
-chmod 700 "${ctmp}"/control/i
-echo i >"${ctmp}"/supervise/control
-sleep 1
-echo x >"${ctmp}"/supervise/control
-wait
-echo $?
-cat "${ctmp}"/log/foo
-
-rm -rf "${ctmp}"/supervise
-rm -rf "${ctmp}"/log/supervise
-rm -f "${ctmp}"/log/foo
-ln -s foo "${ctmp}"/supervise
-ln -s bar "${ctmp}"/log/supervise
-runsv "${ctmp}" &
-sleep 1
-test -r "${ctmp}"/supervise/stat || sleep 2
-test -r "${ctmp}"/log/supervise/stat || sleep 2
-echo x >"${ctmp}"/foo/control
-wait
-echo $?
-cat "${ctmp}"/log/foo
-rm -rf "${ctmp}"
diff --git a/src/old/runsv.dist b/src/old/runsv.dist
@@ -1,16 +0,0 @@
-usage: runsv dir
-
-1
-starting
-run
-term
-starting
-term
-0
-0
-starting
-no interrupt
-term
-0
-starting
-term
diff --git a/src/old/runsvchdir.check b/src/old/runsvchdir.check
@@ -1,3 +0,0 @@
-#!/bin/sh
-runsvchdir
-echo $?
diff --git a/src/old/runsvchdir.dist b/src/old/runsvchdir.dist
@@ -1,3 +0,0 @@
-usage: runsvchdir dir
-
-1
diff --git a/src/old/runsvctrl.c b/src/old/runsvctrl.c
@@ -1,80 +0,0 @@
-#include <unistd.h>
-#include "strerr.h"
-#include "error.h"
-#include "open.h"
-
-#define USAGE " u|d|o|p|c|h|a|i|q|1|2|t|k|x|e service ..."
-
-#define FATAL "runsvctrl: fatal: "
-#define WARNING "runsvctrl: warning: "
-
-char *progname;
-unsigned int rc =0;
-
-void usage() { strerr_die4x(1, "usage: ", progname, USAGE, "\n"); }
-
-void fatal(char *m1) { strerr_die3sys(111, FATAL, m1, ": "); }
-void warn(char *m1, char *m2) {
- rc++;
- strerr_warn5(WARNING, m1, ": ", m2, ": ", &strerr_sys);
-}
-void warnx(char *m1, char *m2) {
- rc++;
- strerr_warn4(WARNING, m1, ": ", m2, 0);
-}
-
-int ctrl(char *name, char c) {
- int fd;
-
- if ((fd =open_write("supervise/control")) == -1) {
- if (errno == error_nodevice)
- warnx(name, "runsv not running.");
- else
- warn(name, "unable to open supervise/control");
- return(-1);
- }
- if (write(fd, &c, 1) != 1) {
- warn(name, "unable to write to supervise/control");
- return(-1);
- }
- return(1);
-}
-
-int main(int argc, char **argv) {
- char **dir;
- int curdir;
- char c;
-
- progname =*argv++;
-
- if (! argv || ! *argv) usage();
-
- switch ((c =**argv)) {
- case 'e': c ='x';
- case 'u': case 'd': case 'o': case 'x': case 'p': case 'c': case 'h':
- case 'a': case 'i': case 't': case 'k': case 'q': case '1': case '2':
- break;
- default:
- usage();
- }
- dir =++argv;
- if (! dir || ! *dir) usage();
-
- if ((curdir =open_read(".")) == -1) {
- rc =100;
- fatal("unable to open current directory");
- }
- for (; dir && *dir; dir++) {
- if (chdir(*dir) == -1) {
- warn(*dir, "unable to change directory");
- continue;
- }
- ctrl(*dir, c);
- if (fchdir(curdir) == -1) {
- rc =100;
- fatal("unable to change directory");
- }
- }
- if (rc > 100) rc =100;
- _exit(rc);
-}
diff --git a/src/old/runsvctrl.check b/src/old/runsvctrl.check
@@ -1,23 +0,0 @@
-#!/bin/sh
-rm -rf "${ctmp}"
-
-runsvctrl
-echo $?
-
-mkdir "${ctmp}"
-echo '#!/bin/sh' >"${ctmp}"/run
-echo 'echo starting' >>"${ctmp}"/run
-echo 'exec sleep 14' >>"${ctmp}"/run
-chmod 700 "${ctmp}"/run
-runsv "${ctmp}" &
-sleep 1
-test -r "${ctmp}"/supervise/stat || sleep 2
-runsvctrl down "${ctmp}"
-echo $?
-sleep 1
-cat "${ctmp}"/supervise/stat
-runsvctrl exit "${ctmp}"
-echo $?
-wait
-echo $?
-rm -rf "${ctmp}"
diff --git a/src/old/runsvctrl.dist b/src/old/runsvctrl.dist
@@ -1,8 +0,0 @@
-usage: runsvctrl u|d|o|p|c|h|a|i|q|1|2|t|k|x|e service ...
-
-1
-starting
-0
-down
-0
-0
diff --git a/src/old/runsvdir.check b/src/old/runsvdir.check
@@ -1,3 +0,0 @@
-#!/bin/sh
-runsvdir
-echo $?
diff --git a/src/old/runsvdir.dist b/src/old/runsvdir.dist
@@ -1,3 +0,0 @@
-usage: runsvdir [-P] dir
-
-1
diff --git a/src/old/runsvstat.c b/src/old/runsvstat.c
@@ -1,165 +0,0 @@
-#include <sys/types.h>
-#include <sys/stat.h>
-#include <unistd.h>
-#include "strerr.h"
-#include "error.h"
-#include "sgetopt.h"
-#include "open.h"
-#include "buffer.h"
-#include "tai.h"
-#include "fmt.h"
-
-#define USAGE " [ -l ] service ..."
-
-#define FATAL "runsvstat: fatal: "
-#define WARNING "runsvstat: warning: "
-
-const char *progname;
-unsigned int rc =0;
-struct stat s;
-int showlog =0;
-
-void usage() { strerr_die4x(1, "usage: ", progname, USAGE, "\n"); }
-
-void fatal(char *m1) { strerr_die3sys(111, FATAL, m1, ": "); }
-void warn(char *m1, char *m2) {
- rc++;
- strerr_warn5(WARNING, m1, ": ", m2, ": ", &strerr_sys);
-}
-void warnx(char *m1, char *m2) {
- rc++;
- strerr_warn4(WARNING, m1, ": ", m2, 0);
-}
-
-int show_status(char *name) {
- char status[20];
- int pid;
- int fd;
- int normallyup =0;
- char sulong[FMT_ULONG];
- struct tai when;
- struct tai now;
-
- if (stat("down", &s) == -1) {
- if (errno != error_noent) {
- warn(name, "unable to stat down");
- return(-1);
- }
- normallyup = 1;
- }
- if ((fd =open_write("supervise/ok")) == -1) {
- if (errno == error_nodevice)
- warnx(name, "runsv not running.");
- else
- warn(name, "unable to open supervise/ok");
- return(-1);
- }
- close(fd);
- if ((fd =open_read("supervise/status")) == -1) {
- warn(name, "unable to open supervise/status");
- return(-1);
- }
- switch(read(fd, status, 20)) {
- case 20: break;
- case -1:
- warn(name, "unable to read supervise/status");
- return(-1);
- default:
- warnx(name, "unable to read supervise/status: bad format.");
- return(-1);
- }
- pid =(unsigned char) status[15];
- pid <<=8; pid +=(unsigned char)status[14];
- pid <<=8; pid +=(unsigned char)status[13];
- pid <<=8; pid +=(unsigned char)status[12];
-
- tai_unpack(status,&when);
- tai_now(&now);
- if (tai_less(&now,&when)) when =now;
- tai_sub(&when,&now,&when);
-
- buffer_puts(buffer_1, name);
- buffer_puts(buffer_1, ": ");
- if (pid) {
- switch (status[19]) {
- case 1: buffer_puts(buffer_1, "run "); break;
- case 2: buffer_puts(buffer_1, "finish "); break;
- }
- buffer_puts(buffer_1, "(pid ");
- buffer_put(buffer_1, sulong, fmt_ulong(sulong, pid));
- buffer_puts(buffer_1, ") ");
- }
- else
- buffer_puts(buffer_1, "down ");
- buffer_put(buffer_1, sulong, fmt_ulong(sulong, tai_approx(&when)));
- buffer_puts(buffer_1, " seconds");
- if (pid && !normallyup) buffer_puts(buffer_1,", normally down");
- if (!pid && normallyup) buffer_puts(buffer_1,", normally up");
- if (pid && status[16]) buffer_puts(buffer_1,", paused");
- if (!pid && (status[17] == 'u')) buffer_puts(buffer_1,", want up");
- if (pid && (status[17] == 'd')) buffer_puts(buffer_1,", want down");
- if (pid && status[18]) buffer_puts(buffer_1, ", got TERM");
- /* buffer_putsflush(buffer_1, "\n"); */
- return(1);
-}
-
-int main(int argc, char **argv) {
- int opt;
- int curdir;
- char **dir;
-
- progname =*argv;
-
- while ((opt =getopt(argc, (const char * const *)argv, "lV")) != opteof) {
- switch(opt) {
- case 'l':
- showlog =1;
- break;
- case 'V':
- strerr_warn1(VERSION, 0);
- case '?':
- usage();
- }
- }
- argv +=optind;
-
- dir =argv;
- if (! dir || ! *dir) usage();
-
- if ((curdir =open_read(".")) == -1) {
- rc =100;
- fatal("unable to open current directory");
- }
- for (; dir && *dir; dir++) {
- if (chdir(*dir) == -1) {
- warn(*dir, "unable to change directory");
- continue;
- }
- if (show_status(*dir) == 1) {
- if (showlog) {
- if (stat("log", &s) == -1) {
- if (errno != error_noent)
- warn("unable to stat()", "./log");
- }
- else {
- if (! S_ISDIR(s.st_mode))
- warnx("./log", "not a directory.");
- else {
- if (chdir("log") == -1) {
- warn(*dir, "unable to change directory");
- continue;
- }
- show_status("\n log");
- }
- }
- }
- buffer_puts(buffer_1, "\n"); buffer_flush(buffer_1);
- }
- if (fchdir(curdir) == -1) {
- rc =100;
- fatal("unable to change directory");
- }
- }
- if (rc > 100) rc =100;
- _exit(rc);
-}
diff --git a/src/old/runsvstat.check b/src/old/runsvstat.check
@@ -1,26 +0,0 @@
-#!/bin/sh
-rm -rf "${ctmp}"
-
-runsvstat
-echo $?
-runsvstat -V
-echo $?
-
-mkdir "${ctmp}"
-echo '#!/bin/sh' >"${ctmp}"/run
-echo 'echo starting' >>"${ctmp}"/run
-echo 'exec sleep 14' >>"${ctmp}"/run
-chmod 700 "${ctmp}"/run
-chpst -2 runsvstat "${ctmp}"
-echo $?
-runsv "${ctmp}" &
-sleep 1
-test -r "${ctmp}"/supervise/stat || sleep 2
-chpst -1 runsvstat "${ctmp}"
-echo $?
-runsvctrl exit "${ctmp}"
-wait
-echo $?
-chpst -2 runsvstat "${ctmp}"
-echo $?
-rm -rf "${ctmp}"
diff --git a/src/old/runsvstat.dist b/src/old/runsvstat.dist
@@ -1,12 +0,0 @@
-usage: runsvstat [ -l ] service ...
-
-1
-$Id$
-usage: runsvstat [ -l ] service ...
-
-1
-1
-starting
-0
-0
-1
diff --git a/src/old/select.h1 b/src/old/select.h1
@@ -1,12 +0,0 @@
-/* Public domain. */
-
-#ifndef SELECT_H
-#define SELECT_H
-
-/* sysdep: -sysselect */
-
-#include <sys/types.h>
-#include <sys/time.h>
-extern int select();
-
-#endif
diff --git a/src/old/select.h2 b/src/old/select.h2
@@ -1,13 +0,0 @@
-/* Public domain. */
-
-#ifndef SELECT_H
-#define SELECT_H
-
-/* sysdep: +sysselect */
-
-#include <sys/types.h>
-#include <sys/time.h>
-#include <sys/select.h>
-extern int select();
-
-#endif
diff --git a/src/old/sv.check b/src/old/sv.check
@@ -1,27 +0,0 @@
-#!/bin/sh
-rm -rf "${ctmp}"
-trap 'rm -rf "${ctmp}"' EXIT
-
-sv
-echo $?
-sv -V
-echo $?
-
-mkdir "${ctmp}"
-cat >"${ctmp}"/run <<-\EOT
- #!/bin/sh
- echo starting
- exec sleep 14
- EOT
-chmod 700 "${ctmp}"/run
-runsv "${ctmp}" &
-sleep 1
-test -r "${ctmp}"/supervise/stat || sleep 2
-sv down "${ctmp}"
-echo $?
-sleep 1
-cat "${ctmp}"/supervise/stat
-sv exit "${ctmp}"
-echo $?
-wait
-echo $?
diff --git a/src/old/sv.dist b/src/old/sv.dist
@@ -1,12 +0,0 @@
-usage: sv [-v] [-w sec] command service ...
-
-100
-$Id: 900314260c6d52c986c5357673bea2f3bd3f4698 $
-usage: sv [-v] [-w sec] command service ...
-
-100
-starting
-0
-down
-0
-0
diff --git a/src/old/svlogd.check b/src/old/svlogd.check
@@ -1,27 +0,0 @@
-#!/bin/sh
-rm -rf "${ctmp}"
-
-svlogd
-echo $?
-svlogd -V
-echo $?
-
-mkdir "${ctmp}"
-echo foo |svlogd "${ctmp}"
-echo $?
-cat "${ctmp}"/current
-
-( echo bar; echo baz ) |svlogd "${ctmp}"
-echo $?
-cat "${ctmp}"/current
-
-( echo foo; echo bar; echo baz ) |svlogd -r: -R fb "${ctmp}"
-echo $?
-cat "${ctmp}"/current
-
-echo t2 >"${ctmp}"/config
-( echo foo; sleep 3 ) |svlogd "${ctmp}"
-echo $?
-cat "${ctmp}"/current
-
-rm -rf "${ctmp}"
diff --git a/src/old/svlogd.dist b/src/old/svlogd.dist
@@ -1,21 +0,0 @@
-usage: svlogd [-ttv] [-r c] [-R abc] [-l len] [-b buflen] dir ...
-
-111
-$Id: 5e55a90e0a1b35ec47fed3021453c50675ea1117 $
-usage: svlogd [-ttv] [-r c] [-R abc] [-l len] [-b buflen] dir ...
-
-111
-0
-foo
-0
-foo
-bar
-baz
-0
-foo
-bar
-baz
-:oo
-:ar
-:az
-0
diff --git a/src/old/svwaitdown.c b/src/old/svwaitdown.c
@@ -1,175 +0,0 @@
-#include <unistd.h>
-#include "strerr.h"
-#include "error.h"
-#include "sgetopt.h"
-#include "scan.h"
-#include "open.h"
-#include "tai.h"
-#include "buffer.h"
-
-#define FATAL "svwaitdown: fatal: "
-#define WARN "svwaitdown: warning: "
-#define INFO "svwaitdown: "
-#define USAGE " [-v] [-t 1..6000] service ..."
-
-const char *progname;
-const char * const *dir;
-unsigned int rc =0;
-
-void fatal(const char *m) { strerr_die3sys(111, FATAL, m, ": "); }
-void warn(const char *s1, const char *s2, struct strerr *e) {
- dir++; rc++;
- strerr_warn3(WARN, s1, s2, e);
-}
-void usage() { strerr_die4x(1, "usage: ", progname, USAGE, "\n"); }
-
-int main(int argc, const char * const *argv) {
- int opt;
- unsigned long sec =600;
- int verbose =0;
- int doexit =0;
- int dokill =0;
- int wdir;
- int fd;
- char status[20];
- int r;
- unsigned long pid;
- struct tai start;
- struct tai now;
-
- progname =*argv;
-
- while ((opt =getopt(argc, argv, "t:xkvV")) != opteof) {
- switch(opt) {
- case 't':
- scan_ulong(optarg, &sec);
- if ((sec < 1) || (sec > 6000)) usage();
- break;
- case 'x':
- doexit =1;
- break;
- case 'k':
- dokill =1;
- break;
- case 'v':
- verbose =1;
- break;
- case 'V':
- strerr_warn1(VERSION, 0);
- case '?':
- usage();
- }
- }
- argv +=optind;
- if (! argv || ! *argv) usage();
-
- if ((wdir =open_read(".")) == -1)
- fatal("unable to open current working directory");
-
- for (dir =argv; *dir; ++dir) {
- if (dir != argv)
- if (fchdir(wdir) == -1) fatal("unable to switch to starting directory");
- if (chdir(*dir) == -1) continue; /* bummer */
- if ((fd =open_write("supervise/control")) == -1) continue; /* bummer */
- if (write(fd, "dx", 1 +doexit) != (1 +doexit)) {
- close(fd); continue; /* bummer */
- }
- close(fd);
- }
- dir =argv;
-
- tai_now(&start);
- while (*dir) {
- if (fchdir(wdir) == -1) fatal("unable to switch to starting directory");
- if (chdir(*dir) == -1) {
- warn(*dir, ": unable to change directory: ", &strerr_sys);
- continue;
- }
- if ((fd =open_write("supervise/ok")) == -1) {
- if (errno == error_nodevice) {
- if (verbose) strerr_warn3(INFO, *dir, ": runsv not running.", 0);
- dir++;
- }
- else
- warn(*dir, ": unable to open supervise/ok: ", &strerr_sys);
- continue;
- }
- close(fd);
-
- if ((fd =open_read("supervise/status")) == -1) {
- warn(*dir, "unable to open supervise/status: ", &strerr_sys);
- continue;
- }
- r =buffer_unixread(fd, status, 20);
- close(fd);
- if ((r < 18) || (r == 19)) { /* supervise compatibility */
- if (r == -1)
- warn(*dir, "unable to read supervise/status: ", &strerr_sys);
- else
- warn(*dir, ": unable to read supervise/status: bad format.", 0);
- continue;
- }
- pid =(unsigned char)status[15];
- pid <<=8; pid +=(unsigned char)status[14];
- pid <<=8; pid +=(unsigned char)status[13];
- pid <<=8; pid +=(unsigned char)status[12];
-
- if (! doexit && ! pid) {
- /* ok, service is down */
- if (verbose) strerr_warn3(INFO, *dir, ": down.", 0);
- dir++;
- continue;
- }
-
- if (status[17] != 'd') { /* catch previous failures */
- if ((fd =open_write("supervise/control")) == -1) {
- warn(*dir, ": unable to open supervise/control: ", &strerr_sys);
- continue;
- }
- if (write(fd, "dx", 1 +doexit) != (1 +doexit)) {
- warn(*dir, ": unable to write to supervise/control: ", &strerr_sys);
- close(fd);
- continue;
- }
- close(fd);
- }
-
- tai_now(&now);
- tai_sub(&now, &now, &start);
- if (tai_approx(&now) >= sec) {
- /* timeout */
- if (verbose) strerr_warn2(INFO, "timeout.", 0);
- if (dokill) {
- if (chdir(*dir) == -1) {
- warn(*dir, ": unable to change directory: ", &strerr_sys);
- continue;
- }
- if ((fd =open_write("supervise/control")) == -1) {
- if (errno == error_nodevice) {
- if (verbose)
- strerr_warn3(INFO, *dir, ": runsv not running.", 0);
- dir++;
- }
- else
- warn(*argv, ": unable to open supervise/control: ", &strerr_sys);
- continue;
- }
- if (write(fd, "k", 1) != 1)
- warn(*argv, ": unable to write to supervise/control: ", &strerr_sys);
- else
- strerr_warn3(INFO, *dir, ": killed.", 0);
- close(fd);
- dir++;
- if (! *dir) _exit(111);
- continue;
- }
- _exit(111);
- }
- sleep(1);
- }
- if (fchdir(wdir) == -1)
- strerr_warn2(WARN, "unable to switch to starting directory: ", &strerr_sys);
- close(wdir);
- if (rc > 100) rc =100;
- _exit(rc);
-}
diff --git a/src/old/svwaitdown.check b/src/old/svwaitdown.check
@@ -1,24 +0,0 @@
-#!/bin/sh
-rm -rf "${ctmp}"
-
-svwaitdown
-echo $?
-svwaitdown -V
-echo $?
-
-mkdir "${ctmp}"
-echo '#!/bin/sh' >"${ctmp}"/run
-echo 'echo starting' >>"${ctmp}"/run
-echo 'exec sleep 14' >>"${ctmp}"/run
-chmod 700 "${ctmp}"/run
-runsv "${ctmp}" &
-sleep 1
-test -r "${ctmp}"/supervise/stat || sleep 2
-svwaitdown "${ctmp}"
-echo $?
-svwaitdown -x "${ctmp}"
-echo $?
-cat "${ctmp}"/supervise/stat
-wait
-echo $?
-rm -rf "${ctmp}"
diff --git a/src/old/svwaitdown.dist b/src/old/svwaitdown.dist
@@ -1,12 +0,0 @@
-usage: svwaitdown [-v] [-t 1..6000] service ...
-
-1
-$Id$
-usage: svwaitdown [-v] [-t 1..6000] service ...
-
-1
-starting
-0
-0
-down
-0
diff --git a/src/old/svwaitup.c b/src/old/svwaitup.c
@@ -1,126 +0,0 @@
-#include <unistd.h>
-#include "strerr.h"
-#include "error.h"
-#include "sgetopt.h"
-#include "scan.h"
-#include "open.h"
-#include "tai.h"
-#include "buffer.h"
-#include "fmt.h"
-
-#define FATAL "svwaitup: fatal: "
-#define WARN "svwaitup: warning: "
-#define INFO "svwaitup: "
-#define USAGE " [-v] [-s 1..600] service ..."
-
-const char *progname;
-unsigned long sec =2;
-unsigned int rc =0;
-const char * const *dir;
-
-void fatal(const char *m) { strerr_die3sys(111, FATAL, m, ": "); }
-void warn(const char *s1, const char *s2, struct strerr *e) {
- dir++; rc++;
- strerr_warn3(WARN, s1, s2, e);
-}
-void usage() { strerr_die4x(1, "usage: ", progname, USAGE, "\n"); }
-
-int main(int argc, const char * const *argv) {
- int opt;
- int verbose =0;
- char status[18];
- int fd;
- int is;
- int r;
- int wdir;
- unsigned long pid;
- struct tai when;
- struct tai now;
- char sulong[FMT_ULONG];
-
- progname =*argv;
-
- while ((opt =getopt(argc, argv, "s:vV")) != opteof) {
- switch(opt) {
- case 's':
- scan_ulong(optarg, &sec);
- if ((sec < 1) || (sec > 600)) usage();
- break;
- case 'v':
- verbose =1;
- break;
- case 'V':
- strerr_warn1(VERSION, 0);
- case '?':
- usage();
- }
- }
- argv +=optind;
- if (! argv || ! *argv) usage();
-
- if ((wdir =open_read(".")) == -1)
- fatal("unable to open current working directory");
-
- dir =argv;
- while (*dir) {
- if (dir != argv)
- if (fchdir(wdir) == -1) fatal("unable to switch to starting directory");
- if (chdir(*dir) == -1) {
- warn(*dir, ": unable to change directory: ", &strerr_sys);
- continue;
- }
- if ((fd =open_write("supervise/ok")) == -1) {
- if (errno == error_nodevice)
- warn(*dir, ": runsv not running.", 0);
- else
- warn(*dir, ": unable to open supervise/ok: ", &strerr_sys);
- continue;
- }
- close(fd);
-
- if ((fd =open_read("supervise/status")) == -1) {
- warn(*dir, "unable to open supervise/status: ", &strerr_sys);
- continue;
- }
- r =buffer_unixread(fd, status, sizeof status);
- close(fd);
- if (r < sizeof status) {
- if (r == -1)
- warn(*dir, "unable to read supervise/status: ", &strerr_sys);
- else
- warn(*dir, ": unable to read supervise/status: bad format.", 0);
- continue;
- }
-
- pid =(unsigned char)status[15];
- pid <<=8; pid +=(unsigned char)status[14];
- pid <<=8; pid +=(unsigned char)status[13];
- pid <<=8; pid +=(unsigned char)status[12];
- if (! pid) {
- warn(*dir, ": is down.", 0);
- continue;
- }
-
- tai_unpack(status, &when);
- tai_now(&now);
- if (tai_less(&now, &when)) when =now;
- tai_sub(&when, &now, &when);
- is =tai_approx(&when);
-
- if (is >= sec) {
- /* ok */
- if (verbose) {
- sulong[fmt_ulong(sulong, is)] =0;
- strerr_warn5(INFO, *dir, ": is up (", sulong, " seconds)", 0);
- }
- dir++;
- continue;
- }
- sleep(sec -is);
- }
- if (fchdir(wdir) == -1)
- strerr_warn2(WARN, "unable to switch to starting directory: ", &strerr_sys);
- close(wdir);
- if (rc > 100) rc =100;
- _exit(rc);
-}
diff --git a/src/old/svwaitup.check b/src/old/svwaitup.check
@@ -1,28 +0,0 @@
-#!/bin/sh
-rm -rf "${ctmp}"
-
-svwaitup
-echo $?
-svwaitup -V
-echo $?
-
-mkdir "${ctmp}"
-echo '#!/bin/sh' >"${ctmp}"/run
-echo 'echo starting' >>"${ctmp}"/run
-echo 'exec sleep 14' >>"${ctmp}"/run
-chmod 700 "${ctmp}"/run
-runsv "${ctmp}" &
-sleep 1
-test -r "${ctmp}"/supervise/stat || sleep 2
-svwaitup "${ctmp}"
-echo $?
-cat "${ctmp}"/supervise/stat
-svwaitup -s2 "${ctmp}"
-echo $?
-cat "${ctmp}"/supervise/stat
-runsvctrl exit "${ctmp}"
-wait
-echo $?
-chpst -2 svwaitup -s2 "${ctmp}"
-echo $?
-rm -rf "${ctmp}"
diff --git a/src/old/svwaitup.dist b/src/old/svwaitup.dist
@@ -1,14 +0,0 @@
-usage: svwaitup [-v] [-s 1..600] service ...
-
-1
-$Id$
-usage: svwaitup [-v] [-s 1..600] service ...
-
-1
-starting
-0
-run
-0
-run
-0
-1
diff --git a/src/old/trycpp.c b/src/old/trycpp.c
@@ -1,9 +0,0 @@
-/* Public domain. */
-
-int main()
-{
-#ifdef NeXT
- printf("nextstep\n"); exit(0);
-#endif
- printf("unknown\n"); exit(0);
-}
diff --git a/src/old/trydrent.c b/src/old/trydrent.c
@@ -1,10 +0,0 @@
-/* Public domain. */
-
-#include <sys/types.h>
-#include <dirent.h>
-
-void foo()
-{
- DIR *dir;
- struct dirent *d;
-}
diff --git a/src/old/tryflock.c b/src/old/tryflock.c
@@ -1,10 +0,0 @@
-/* Public domain. */
-
-#include <sys/types.h>
-#include <sys/file.h>
-#include <fcntl.h>
-
-main()
-{
- flock(0,LOCK_EX | LOCK_UN | LOCK_NB);
-}
diff --git a/src/old/trymkffo.c b/src/old/trymkffo.c
@@ -1,9 +0,0 @@
-/* Public domain. */
-
-#include <sys/types.h>
-#include <sys/stat.h>
-
-void main()
-{
- mkfifo("temp-trymkffo",0);
-}
diff --git a/src/old/trypoll.c b/src/old/trypoll.c
@@ -1,20 +0,0 @@
-/* Public domain. */
-
-#include <sys/types.h>
-#include <fcntl.h>
-#include <poll.h>
-
-int main()
-{
- struct pollfd x;
-
- x.fd = open("trypoll.c",O_RDONLY);
- if (x.fd == -1) _exit(111);
- x.events = POLLIN;
- if (poll(&x,1,10) == -1) _exit(1);
- if (x.revents != POLLIN) _exit(1);
-
- /* XXX: try to detect and avoid poll() imitation libraries */
-
- _exit(0);
-}
diff --git a/src/old/tryreboot.c b/src/old/tryreboot.c
@@ -1,6 +0,0 @@
-#include <unistd.h>
-#include <sys/reboot.h>
-
-int main(void) {
- return(reboot(0));
-}
diff --git a/src/old/trysgact.c b/src/old/trysgact.c
@@ -1,12 +0,0 @@
-/* Public domain. */
-
-#include <signal.h>
-
-main()
-{
- struct sigaction sa;
- sa.sa_handler = 0;
- sa.sa_flags = 0;
- sigemptyset(&sa.sa_mask);
- sigaction(0,&sa,(struct sigaction *) 0);
-}
diff --git a/src/old/trysgprm.c b/src/old/trysgprm.c
@@ -1,12 +0,0 @@
-/* Public domain. */
-
-#include <signal.h>
-
-main()
-{
- sigset_t ss;
-
- sigemptyset(&ss);
- sigaddset(&ss,SIGCHLD);
- sigprocmask(SIG_SETMASK,&ss,(sigset_t *) 0);
-}
diff --git a/src/old/tryshsgr.c b/src/old/tryshsgr.c
@@ -1,16 +0,0 @@
-/* Public domain. */
-
-int main()
-{
- short x[4];
-
- x[0] = x[1] = 1;
- if (getgroups(1,x) == 0) if (setgroups(1,x) == -1) _exit(1);
-
- if (getgroups(1,x) == -1) _exit(1);
- if (x[1] != 1) _exit(1);
- x[1] = 2;
- if (getgroups(1,x) == -1) _exit(1);
- if (x[1] != 2) _exit(1);
- _exit(0);
-}
diff --git a/src/old/trysocketlib.c b/src/old/trysocketlib.c
@@ -1,12 +0,0 @@
-#include <sys/types.h>
-#include <sys/param.h>
-#include <sys/socket.h>
-#include <netinet/in.h>
-#include <unistd.h>
-
-int main(void) {
- int s;
-
- s =socket(AF_INET, SOCK_STREAM, 0);
- return(close(s));
-}
diff --git a/src/old/trysysel.c b/src/old/trysysel.c
@@ -1,11 +0,0 @@
-/* Public domain. */
-
-#include <sys/types.h>
-#include <time.h>
-#include <sys/time.h>
-#include <sys/select.h> /* SVR4 silliness */
-
-void foo()
-{
- ;
-}
diff --git a/src/old/tryulong64.c b/src/old/tryulong64.c
@@ -1,13 +0,0 @@
-/* Public domain. */
-
-int main()
-{
- unsigned long u;
- u = 1;
- u += u; u += u; u += u; u += u; u += u; u += u; u += u; u += u;
- u += u; u += u; u += u; u += u; u += u; u += u; u += u; u += u;
- u += u; u += u; u += u; u += u; u += u; u += u; u += u; u += u;
- u += u; u += u; u += u; u += u; u += u; u += u; u += u; u += u;
- if (!u) _exit(1);
- _exit(0);
-}
diff --git a/src/old/tryuwtmp.c b/src/old/tryuwtmp.c
@@ -1,9 +0,0 @@
-#include <sys/types.h>
-#include <utmp.h>
-
-struct utmp ut;
-
-int main(void) {
- char *s =ut.ut_name;
- return(0);
-}
diff --git a/src/old/tryuwtmpx.c b/src/old/tryuwtmpx.c
@@ -1,9 +0,0 @@
-#include <sys/types.h>
-#include <utmpx.h>
-
-struct futmpx ut;
-
-int main(void) {
- char *s =ut.ut_name;
- return(0);
-}
diff --git a/src/old/trywaitp.c b/src/old/trywaitp.c
@@ -1,9 +0,0 @@
-/* Public domain. */
-
-#include <sys/types.h>
-#include <sys/wait.h>
-
-main()
-{
- waitpid(0,0,0);
-}
diff --git a/src/old/uint64.h1 b/src/old/uint64.h1
@@ -1,10 +0,0 @@
-/* Public domain. */
-
-#ifndef UINT64_H
-#define UINT64_H
-
-/* sysdep: -ulong64 */
-
-typedef unsigned long long uint64;
-
-#endif
diff --git a/src/old/uint64.h2 b/src/old/uint64.h2
@@ -1,10 +0,0 @@
-/* Public domain. */
-
-#ifndef UINT64_H
-#define UINT64_H
-
-/* sysdep: +ulong64 */
-
-typedef unsigned long uint64;
-
-#endif
diff --git a/src/old/utmpset.check b/src/old/utmpset.check
@@ -1,5 +0,0 @@
-#!/bin/sh
-utmpset
-echo $?
-utmpset -V
-echo $?
diff --git a/src/old/utmpset.dist b/src/old/utmpset.dist
@@ -1,7 +0,0 @@
-usage: utmpset [-w] line
-
-1
-$Id: cb399098f794012a7f5e6a3a7090b2d53b86c08c $
-usage: utmpset [-w] line
-
-1
diff --git a/src/old/uw_tmp.h1 b/src/old/uw_tmp.h1
@@ -1,19 +0,0 @@
-#include <sys/types.h>
-#include <utmp.h>
-
-/* sysdep: -utmpx */
-
-#ifdef _PATH_UTMP
-#define UW_TMP_UFILE _PATH_UTMP
-#define UW_TMP_WFILE _PATH_WTMP
-#else
-/* AIX only has UTMP_FILE */
-#ifdef UTMP_FILE
-#define UW_TMP_UFILE UTMP_FILE
-#define UW_TMP_WFILE WTMP_FILE
-#else
-#error neither _PATH_UTMP nor UTMP_FILE defined.
-#endif
-#endif
-
-typedef struct utmp uw_tmp;
diff --git a/src/old/uw_tmp.h2 b/src/old/uw_tmp.h2
@@ -1,13 +0,0 @@
-#include <sys/types.h>
-#include <utmpx.h>
-
-/* sysdep: +utmpx */
-
-#define UW_TMP_UFILE _UTMPX_FILE
-#define UW_TMP_WFILE _WTMPX_FILE
-
-#ifndef ut_time
-#define ut_time ut_tv.tv_sec
-#endif
-
-typedef struct futmpx uw_tmp;
diff --git a/src/old/warn-auto.sh b/src/old/warn-auto.sh
@@ -1,2 +0,0 @@
-#!/bin/sh
-# WARNING: This file was auto-generated. Do not edit!
diff --git a/src/old/warn-shsgr b/src/old/warn-shsgr
@@ -1,3 +0,0 @@
-Oops. Your getgroups() returned 0, and setgroups() failed; this means
-that I can't reliably do my shsgr test. Please either ``make'' as root
-or ``make'' while you're in one or more supplementary groups.
diff --git a/src/old/x86cpuid.c b/src/old/x86cpuid.c
@@ -1,40 +0,0 @@
-/* Public domain. */
-
-#include <signal.h>
-
-void nope()
-{
- exit(1);
-}
-
-int main()
-{
- unsigned long x[4];
- unsigned long y[4];
- int i;
- int j;
- char c;
-
- signal(SIGILL,nope);
-
- x[0] = 0;
- x[1] = 0;
- x[2] = 0;
- x[3] = 0;
-
- asm volatile(".byte 15;.byte 162" : "=a"(x[0]),"=b"(x[1]),"=c"(x[3]),"=d"(x[2]) : "0"(0) );
- if (!x[0]) return 0;
- asm volatile(".byte 15;.byte 162" : "=a"(y[0]),"=b"(y[1]),"=c"(y[2]),"=d"(y[3]) : "0"(1) );
-
- for (i = 1;i < 4;++i)
- for (j = 0;j < 4;++j) {
- c = x[i] >> (8 * j);
- if (c < 32) c = 32;
- if (c > 126) c = 126;
- putchar(c);
- }
-
- printf("-%08x-%08x\n",y[0],y[3]);
-
- return 0;
-}